Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 37 lines (30 sloc) 1.322 kb
43f0a68 @gabebw Use Bundler gem conventions.
gabebw authored
1 # -*- encoding: utf-8 -*-
2 $:.push File.expand_path("../lib", __FILE__)
3 require "suspenders/version"
c6f5c57 @mike-burns Gemspec and rake tasks for packaging
mike-burns authored
4
43f0a68 @gabebw Use Bundler gem conventions.
gabebw authored
5 Gem::Specification.new do |s|
6 s.name = 'suspenders'
7 s.version = Suspenders::VERSION
8 s.date = Date.today.strftime('%Y-%m-%d')
9 s.authors = ["thoughtbot"]
10 s.email = 'support@thoughtbot.com'
11 s.homepage = 'http://github.com/thoughtbot/suspenders'
c6f5c57 @mike-burns Gemspec and rake tasks for packaging
mike-burns authored
12
13 s.summary = "Generate a Rails app using thoughtbot's best practices."
8e2d131 @mike-burns Update gemspec description
mike-burns authored
14 s.description = <<-HERE
15 Suspenders is a base Rails project that you can upgrade. It is used by
16 thoughtbot to get a jump start on a working app. Use Suspenders if you're in a
17 rush to build something amazing; don't use it if you like missing deadlines.
18 HERE
c6f5c57 @mike-burns Gemspec and rake tasks for packaging
mike-burns authored
19
43f0a68 @gabebw Use Bundler gem conventions.
gabebw authored
20 s.files = `git ls-files`.split("\n").
21 reject { |file| file =~ /^\./ }.
22 reject { |file| file =~ /^(rdoc|pkg)/ }
23 s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
24 s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
25 s.require_paths = ["lib"]
c6f5c57 @mike-burns Gemspec and rake tasks for packaging
mike-burns authored
26
27 s.rdoc_options = ["--charset=UTF-8"]
8759166 @mike-burns Fixed gemspec
mike-burns authored
28 s.extra_rdoc_files = %w[README.md LICENSE]
c6f5c57 @mike-burns Gemspec and rake tasks for packaging
mike-burns authored
29
cd3317b @croaky [#53] Add --github option to create a github repo
croaky authored
30 s.add_dependency 'rails', '3.2.6'
31 s.add_dependency 'bundler', '>= 1.1'
32 s.add_dependency 'hub', '~> 1.10.2'
43f0a68 @gabebw Use Bundler gem conventions.
gabebw authored
33
cd3317b @croaky [#53] Add --github option to create a github repo
croaky authored
34 s.add_development_dependency 'cucumber', '~> 1.1.9'
35 s.add_development_dependency 'aruba', '~> 0.4.11'
c6f5c57 @mike-burns Gemspec and rake tasks for packaging
mike-burns authored
36 end
Something went wrong with that request. Please try again.